Get Transfer

GET
/api/v1/transfers/{transferId}

Get a transfer by ID

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

transferId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

Default Response

application/json
  1. response

Response schema for a transfer

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
tenant_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
customer_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
quote_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
type*string

Type of transfer: offramp (crypto to fiat) or onramp (fiat to crypto)

Value in"offramp""onramp"
status*string

Status of the transfer in display format

Value in"created""unknown""compliance_hold""awaiting_funds_collection""funds_collected""in_progress""payment_submitted""payment_processed""completed""failed""cancelled""expired"
created_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
updated_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
metadata?
source?|null
source_deposit_instructions?||null
destination?||null
fees?|null
exchange_rate?|

Exchange rate (1 source = X destination). On Price Lock transfers it is the locked commercial rate: the market benchmark after the conversion fee only, processing fee excluded (see fees.processing_fee)

origin*string
Default"api"
Value in"api""otc"
compliance_hold?
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",  "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",  "type": "offramp",  "status": "created",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "metadata": {    "property1": "string",    "property2": "string"  },  "source": {    "amount": "string",    "currency": "string",    "network": "string",    "funding_source": "prefund_balance",    "wallet": {      "type": "hosted",      "vasp_name": "string"    }  },  "source_deposit_instructions": {    "wallet_address": "string",    "currency": "string",    "network": "string",    "amount": "string"  },  "destination": {    "amount": "string",    "currency": "string",    "network": "string",    "wallet_address": "string"  },  "fees": {    "fx_fee": {      "amount": "string",      "currency": "string"    },    "integrator_fee": {      "amount": "string",      "currency": "string"    },    "developer_fee": {      "amount": "string",      "currency": "string"    },    "platform_fee": {      "amount": "string",      "currency": "string"    },    "processing_fee": {      "amount": "string",      "currency": "string"    },    "withdrawal_fee": {      "amount": "string",      "currency": "string"    },    "payment_method_fee": {      "amount": "string",      "currency": "string"    },    "network_fee": {      "amount": "string",      "currency": "string"    },    "total_fee": {      "amount": "string",      "currency": "string"    }  },  "exchange_rate": 0,  "origin": "api",  "compliance_hold": {    "rfi_id": "67dff3e5-8fe4-4fc3-bd34-9ccc65996247",    "reasons": [      {        "reason_code": "string",        "description": "string"      }    ],    "requirements": [      {        "type": "KYC_CAPABILITY",        "required_capability": "string",        "required_level": "string",        "suggested_level": "string",        "required_evidence": "string",        "requirement_id": "6bcf6ec7-61c3-4af0-a310-59616a4dac61",        "status": "missing"      }    ]  }}